import request from '../request'

//用户模块
const user = {
	/**
	 * 用户登录获取token
	 */
	async login() {
		//#ifdef MP-TOUTIAO
		let res = await wx.login()
		res = res[1]
		//#endif
		//#ifdef MP-WEIXIN
		let res = await wx.login()
		//#endif

		return request({
			//#ifdef MP-WEIXIN
			url: `/login/jscode`,
			//#endif
			//#ifdef MP-TOUTIAO
			url: `/login/ttcode`,
			//#endif
			method: 'post',
			params: {
				//#ifdef MP-WEIXIN
				jscode: res.code,
				//#endif
				//#ifdef MP-TOUTIAO
				authorizationCode: res.code
				//#endif
			},
			headers: {
				isLogin: true
			}
		})
	},
	/**
	 * 更新用户信息
	 * @param {Object} data
	 */
	updateUserInfo(data) {
		return request({
			url: '/student/xcx/user',
			method: 'post',
			data
		})
	},
	/**
	 * 获取用户详细信息
	 */
	getInfo() {
		return request({
			url: '/student/user/info',
			method: 'get'
		})
	},
	/**
	 * 退出登录
	 */
	logout() {
		return request({
			url: '/logout',
			method: 'post'
		})
	},
	/**
	 * 绑定用户身份证信息
	 * @param {Object} data
	 */
	bindUserCard(data) {
		return request({
			url: '/gzpt/userInfo/bind',
			method: 'put',
			data
		})
	},
	//更新用户真实姓名
	studentUserRealname(params) {
		return request({
			url: '/student/user/realname',
			method: 'put',
			params
		})
	},
	//是否是vip的数据(抖音小程序)
	userInfoVipInfo(){
		return request({
			url:'/user/info/vipInfo',
			method:'GET'
		})

	},
	//更新用户信息
	userInfoUserInfo(params){
		return request({
			url:'/user/info/userInfo',
			method:'PUT',
			params
		})

	}
}

export default user
